diff -u ./koan/app.py ./koan-net-virtio/app.py
--- ./koan/app.py	2011-04-20 14:40:48.000000000 +0200
+++ ./koan-net-virtio/app.py	2011-08-02 14:08:52.000000000 +0200
@@ -189,6 +189,9 @@
     p.add_option("", "--qemu-disk-type",
                  dest="qemu_disk_type",
                  help="when used with --virt_type=qemu, add select of disk drivers: ide,scsi,virtio")
+    p.add_option("", "--qemu-net-type",
+                 dest="qemu_net_type",
+                 help="when used with --virt_type=qemu, select type of network device to use: e1000, ne2k_pci, pcnet, rtl8139, virtio")
 
     (options, args) = p.parse_args()
 
@@ -218,6 +221,7 @@
         k.embed_kickstart     = options.embed_kickstart
         k.virt_auto_boot      = options.virt_auto_boot
         k.qemu_disk_type      = options.qemu_disk_type       
+        k.qemu_net_type       = options.qemu_net_type       
 
         if options.virt_name is not None:
             k.virt_name          = options.virt_name
@@ -273,6 +277,7 @@
         self.virt_path         = None
         self.force_path        = None
         self.qemu_disk_type    = None
+        self.qemu_net_type     = None
         self.virt_auto_boot    = None
 
         # This option adds the --copy-default argument to /sbin/grubby
@@ -346,6 +351,12 @@
             if self.virt_type not in [ "qemu", "auto" ]:
                raise InfoException, "--qemu-disk-type must use with --virt-type=qemu"
 
+        # if --qemu-net-type was called without --virt-type=qemu, then fail
+        if (self.qemu_net_type is not None):
+            self.qemu_net_type = self.qemu_net_type.lower()
+            if self.virt_type not in [ "qemu", "auto" ]:
+               raise InfoException, "--qemu-net-type must use with --virt-type=qemu"
+
 
 
         # if --static-interface and --profile was called together, then fail
@@ -1155,7 +1166,8 @@
                 bridge           =  self.virt_bridge,
                 virt_type        =  self.virt_type,
                 virt_auto_boot   =  virt_auto_boot,
-                qemu_driver_type =  self.qemu_disk_type
+                qemu_driver_type =  self.qemu_disk_type,
+                qemu_net_type    =  self.qemu_net_type
         )
 
         print results
diff -u ./koan/qcreate.py ./koan-net-virtio/qcreate.py
--- ./koan/qcreate.py	2011-04-20 14:40:48.000000000 +0200
+++ ./koan-net-virtio/qcreate.py	2011-08-02 14:08:40.000000000 +0200
@@ -69,7 +69,8 @@
                   bridge=None,
                   virt_type=None,
                   virt_auto_boot=False,
-                  qemu_driver_type=None):
+                  qemu_driver_type=None,
+                  qemu_net_type=None):
 
     vtype = "qemu"
     if virtinst.util.is_kvm_capable():
@@ -189,7 +190,7 @@
                 else:
                     bridges = bridge.split(",")  
                     intf_bridge = bridges[counter]
-            nic_obj = virtinst.VirtualNetworkInterface(macaddr=mac, bridge=intf_bridge)
+            nic_obj = virtinst.VirtualNetworkInterface(macaddr=mac, bridge=intf_bridge, model=qemu_net_type)
             guest.nics.append(nic_obj)
             counter = counter + 1
 
@@ -203,7 +204,7 @@
             if profile_bridge == "":
                 raise koan.InfoException("virt-bridge setting is not defined in cobbler")
 
-            nic_obj = virtinst.VirtualNetworkInterface(macaddr=random_mac(), bridge=profile_bridge)
+            nic_obj = virtinst.VirtualNetworkInterface(macaddr=random_mac(), bridge=profile_bridge, model=qemu_net_type)
             guest.nics.append(nic_obj)
 
     guest.start_install()
